Index: src/Fragmentation/Summation/Containers/MPQCData_printKeyNames.hpp
===================================================================
--- src/Fragmentation/Summation/Containers/MPQCData_printKeyNames.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
+++ src/Fragmentation/Summation/Containers/MPQCData_printKeyNames.hpp	(revision a3fc46e1ebd9065c243c909e5fef221d7add4620)
@@ -13,4 +13,6 @@
 #include <config.h>
 #endif
+
+#include "Fragmentation/Summation/printKeyNames.hpp"
 
 //#include <iosfwd>
@@ -58,5 +60,9 @@
 #endif
 
-//!> this is the macro function which prints the specialized template function
+/** This is the macro function which prints the specialized template function.
+ *
+ * We need make it inline as it is fully specialized and hence multiple instances
+ * are not combined into one anymore.
+ */
 #define printName_specializer(z, n, NAMESPACE, TOKENSEQ, NAMESEQ ) \
   template<> inline std::string printName< NAMESPACE :: BOOST_PP_SEQ_ELEM( n, TOKENSEQ ) >() { \
Index: src/Fragmentation/Summation/Containers/VMGData_printKeyNames.hpp
===================================================================
--- src/Fragmentation/Summation/Containers/VMGData_printKeyNames.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
+++ src/Fragmentation/Summation/Containers/VMGData_printKeyNames.hpp	(revision a3fc46e1ebd9065c243c909e5fef221d7add4620)
@@ -13,4 +13,6 @@
 #include <config.h>
 #endif
+
+#include "Fragmentation/Summation/printKeyNames.hpp"
 
 //#include <iosfwd>
@@ -49,5 +51,9 @@
 #endif
 
-//!> this is the macro function which prints the specialized template function
+/** This is the macro function which prints the specialized template function.
+ *
+ * We need make it inline as it is fully specialized and hence multiple instances
+ * are not combined into one anymore.
+ */
 #define printName_specializer(z, n, NAMESPACE, TOKENSEQ, NAMESEQ ) \
   template<> inline std::string printName< NAMESPACE :: BOOST_PP_SEQ_ELEM( n, TOKENSEQ ) >() { \
Index: src/Fragmentation/Summation/OrthogonalSummation_impl.hpp
===================================================================
--- src/Fragmentation/Summation/OrthogonalSummation_impl.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
+++ src/Fragmentation/Summation/OrthogonalSummation_impl.hpp	(revision a3fc46e1ebd9065c243c909e5fef221d7add4620)
@@ -43,5 +43,5 @@
     subsetmap.reset(new SubsetMap(container));
   } else {
-    LOG(2, "DEBUG: Using given SubsetMap for " << printKeyNames::printName<T>() << ".");
+    LOG(2, "DEBUG: Using given SubsetMap.");
   }
   /// instantiate all SubSetValue's by requesting the IndexSet from the Subsetmap
Index: src/Fragmentation/Summation/OrthogonalSummator.hpp
===================================================================
--- src/Fragmentation/Summation/OrthogonalSummator.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
+++ src/Fragmentation/Summation/OrthogonalSummator.hpp	(revision a3fc46e1ebd9065c243c909e5fef221d7add4620)
@@ -22,5 +22,4 @@
 #include "Fragmentation/Summation/OrthogonalSummation.hpp"
 #include "Fragmentation/Summation/SetValue.hpp"
-#include "Fragmentation/Summation/Containers/MPQCDataMap.hpp"
 
 /** OrthogonalSummator is a general class for making us of OrthogonalSummation.
Index: src/Fragmentation/Summation/Summation_impl.hpp
===================================================================
--- src/Fragmentation/Summation/Summation_impl.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
+++ src/Fragmentation/Summation/Summation_impl.hpp	(revision a3fc46e1ebd9065c243c909e5fef221d7add4620)
@@ -42,5 +42,5 @@
     subsetmap.reset(new SubsetMap(container));
   } else {
-    LOG(2, "DEBUG: Using given SubsetMap for " << printKeyNames::printName<T>() << ".");
+    LOG(2, "DEBUG: Using given SubsetMap.");
   }
   /// instantiate all SubSetValue's by requesting the IndexSet from the Subsetmap
Index: src/Fragmentation/Summation/Summator.hpp
===================================================================
--- src/Fragmentation/Summation/Summator.hpp	(revision 1b5a407a0d61719031c6978e4898248baf9f165f)
+++ src/Fragmentation/Summation/Summator.hpp	(revision a3fc46e1ebd9065c243c909e5fef221d7add4620)
@@ -22,5 +22,4 @@
 #include "Fragmentation/Summation/Summation.hpp"
 #include "Fragmentation/Summation/SetValue.hpp"
-#include "Fragmentation/Summation/Containers/MPQCDataMap.hpp"
 
 /** Summator is a general class for making us of Summation.
